org.apache.ignite.ml.clustering.gmm

## Class NewComponentStatisticsAggregator

- java.lang.Object
- - org.apache.ignite.ml.clustering.gmm.NewComponentStatisticsAggregator

- All Implemented Interfaces:
    Serializable

      public class NewComponentStatisticsAggregator
      extends Object
      implements Serializable

  Class for aggregate statistics for finding new mean for GMM.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewComponentStatisticsAggregator()` Creates an instance of NewComponentStatisticsAggregator.
    `NewComponentStatisticsAggregator(long totalRowCount, long rowCountForNewCluster, Vector sumOfAnomalies)` Creates an instance of NewComponentStatisticsAggregator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vector` | `mean()`
    `long` | `rowCountForNewCluster()`
    `long` | `totalRowCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewComponentStatisticsAggregator

          public NewComponentStatisticsAggregator(long totalRowCount,
                                                  long rowCountForNewCluster,
                                                  Vector sumOfAnomalies)

      Creates an instance of NewComponentStatisticsAggregator.
      Parameters:
        `totalRowCount` - Total row count in dataset.
        `rowCountForNewCluster` - Row count for new cluster.
        `sumOfAnomalies` - Sum of anomalies.

    - #### NewComponentStatisticsAggregator

          public NewComponentStatisticsAggregator()

      Creates an instance of NewComponentStatisticsAggregator.

  - ### Method Detail

    - #### mean

          public Vector mean()

      Returns:
        Mean of anomalies.

    - #### rowCountForNewCluster

          public long rowCountForNewCluster()

      Returns:
        Row count for new cluster.

    - #### totalRowCount

          public long totalRowCount()

      Returns:
        Total count of rows in partition/dataset.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021